Bug 62825 - 'timet >= 0' not true at when_and_offset_to_time_t
'timet >= 0' not true at when_and_offset_to_time_t
Status: RESOLVED FIXED
Product: p11-glue
Classification: Unclassified
Component: p11-kit
unspecified
Other All
: medium normal
Assigned To: Stef Walter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-27 16:24 UTC by Stef Walter
Modified: 2013-04-03 13:48 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Don't try to guess at overflowing time values on 32-bit systems (7.45 KB, patch)
2013-03-27 16:57 UTC, Stef Walter
Details | Splinter Review
Don't respect timezones on 32-bit systems for dates later than 2038 (8.59 KB, patch)
2013-03-29 12:20 UTC, Stef Walter
Details | Splinter Review
Don't respect timezones for CKA_START_DATE or CKA_END_DATE (12.51 KB, patch)
2013-04-02 15:12 UTC, Stef Walter
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stef Walter 2013-03-27 16:24:24 UTC
This happens on 32-bit systems. Reported by Ales.

(process:2477): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: duplicate 'StartCom Certification Authority' certificate found in: ca-bundle.trust.crt
p11-kit: 'timet >= 0' not true at when_and_offset_to_time_t
p11-kit: 'timet >= 0' not true at calc_date
p11-kit: duplicate 'Class 3 Public Primary Certification Authority' certificate found in: ca-bundle.trust.crt
[liveuser@localhost ju82g4n9.default]$ echo $?
Comment 1 Stef Walter 2013-03-27 16:57:08 UTC
Created attachment 77115 [details] [review]
Don't try to guess at overflowing time values on 32-bit systems
Comment 2 Stef Walter 2013-03-28 12:31:37 UTC
Attachment 77115 [details] pushed as 87a0afe - Don't try to guess at overflowing time values on 32-bit systems
Comment 3 Stef Walter 2013-03-29 12:20:59 UTC
Created attachment 77208 [details] [review]
Don't respect timezones on 32-bit systems for dates later than 2038
Comment 4 Stef Walter 2013-04-02 15:12:17 UTC
Created attachment 77327 [details] [review]
Don't respect timezones for CKA_START_DATE or CKA_END_DATE
Comment 5 Stef Walter 2013-04-03 13:48:14 UTC
Attachment 77327 [details] pushed as 8c69e46 - Don't respect timezones for CKA_START_DATE or CKA_END_DATE